Menu

## Response

Response.php : 20

HEXONET Response

### Table of Contents

$columnkeys : array<string|int, string>
  Column names available in this responsse NOTE: this includes also FIRST, LAST, LIMIT, COUNT, TOTAL and maybe further specific columns in case of a list query
$columns : array<string|int, Column>
  Container of Column Instances
$command : array<string|int, mixed>
  The API Command used within this request
$hash : array<string|int, mixed>
  hash representation of plain API response
$raw : string
  plain API response
$recordIndex : int
  Record Index we currently point to in record list
$records : array<string|int, Record>
  Record List (List of rows)
__construct() : mixed
  Constructor
addColumn() : $this
  Add a column to the column list
addRecord() : $this
  Add a record to the record list
getCode() : int
  Get API response code
getColumn() : Column|null
  Get column by column name
getColumnIndex() : string|null
  Get Data by Column Name and Index
getColumnKeys() : array<string|int, string>
  Get Column Names
getColumns() : array<string|int, Column>
  Get List of Columns
getCommand() : array<string|int, mixed>
  Get Command used in this request
getCommandPlain() : string
  Get Command used in this request in plain text format
getCurrentPageNumber() : int|null
  Get Page Number of current List Query
getCurrentRecord() : Record|null
  Get Record of current record index
getDescription() : string
  Get API response description
getFirstRecordIndex() : int|null
  Get Index of first row in this response
getHash() : array<string|int, mixed>
  Get API response as Hash
getLastRecordIndex() : int|null
  Get last record index of the current list query
getListHash() : array<string|int, mixed>
  Get Response as List Hash including useful meta data for tables
getNextPageNumber() : int|null
  Get Page Number of next list query
getNextRecord() : Record|null
  Get next record in record list
getNumberOfPages() : int
  Get the number of pages available for this list query
getPagination() : array<string|int, mixed>
  Get object containing all paging data
getPlain() : string
  Get Plain API response
getPreviousPageNumber() : int|null
  Get Page Number of previous list query
getPreviousRecord() : Record|null
  Get previous record in record list
getQueuetime() : float
  Get Queuetime of API response
getRecord() : Record|null
  Get Record at given index
getRecords() : array<string|int, Record>
  Get all Records
getRecordsCount() : int
  Get count of rows in this response
getRecordsLimitation() : int
  Get limit(ation) setting of the current list query This is the count of requested rows
getRecordsTotalCount() : int
  Get total count of records available for the list query
getRuntime() : float
  Get Runtime of API response
hasNextPage() : bool
  Check if this list query has a next page
hasPreviousPage() : bool
  Check if this list query has a previous page
isError() : bool
  Check if current API response represents an error case API response code is an 5xx code
isPending() : bool
  Check if current operation is returned as pending
isSuccess() : bool
  Check if current API response represents a success case API response code is an 2xx code
isTmpError() : bool
  Check if current API response represents a temporary error case API response code is an 4xx code
rewindRecordList() : $this
  Reset index in record list back to zero
hasColumn() : bool
  Check if column exists in response
hasCurrentRecord() : bool
  Check if the record list contains a record for the current record index in use
hasNextRecord() : bool
  Check if the record list contains a next record for the current record index in use
hasPreviousRecord() : bool
  Check if the record list contains a previous record for the current record index in use

### Properties

#### $columnkeys

Response.php : 47

Column names available in this responsse NOTE: this includes also FIRST, LAST, LIMIT, COUNT, TOTAL and maybe further specific columns in case of a list query

`private array<string|int, string> $columnkeys`

#### $columns

Response.php : 52

Container of Column Instances

`private array<string|int, Column> $columns`

#### $command

Response.php : 27

The API Command used within this request

`private array<string|int, mixed> $command`

#### $hash

Response.php : 39

hash representation of plain API response

`private array<string|int, mixed> $hash`

#### $raw

Response.php : 33

plain API response

`private string $raw`

#### $recordIndex

Response.php : 57

Record Index we currently point to in record list

`private int $recordIndex`

#### $records

Response.php : 62

Record List (List of rows)

`private array<string|int, Record> $records`

### Methods

#### __construct()

Response.php : 70

Constructor

`public __construct(string $raw[, array<string|int, mixed> $cmd = null ][, array<string|int, mixed> $ph = [] ]) : mixed`

##### Parameters

$raw : string

  API plain response

$cmd : array<string|int, mixed> = null

  API command used within this request

$ph : array<string|int, mixed> = []

  placeholder array to get vars in response description dynamically replaced

##### Return values

mixed —

#### addColumn()

Response.php : 215

Add a column to the column list

`public addColumn(string $key, array<string|int, string> $data) : $this`

##### Parameters

$key : string

  column name

$data : array<string|int, string>

  array of column data

##### Return values

$this —

#### addRecord()

Response.php : 228

Add a record to the record list

`public addRecord(array<string|int, mixed> $h) : $this`

##### Parameters

$h : array<string|int, mixed>

  row hash data

##### Return values

$this —

#### getCode()

Response.php : 114

Get API response code

`public getCode() : int`

##### Return values

int —

API response code

#### getColumn()

Response.php : 239

Get column by column name

`public getColumn(string $key) : Column|null`

##### Parameters

$key : string

  column name

##### Return values

Column|null —

column instance or null if column does not exist

#### getColumnIndex()

Response.php : 250

Get Data by Column Name and Index

`public getColumnIndex(string $colkey, int $index) : string|null`

##### Parameters

$colkey : string

  column name

$index : int

  column data index

##### Return values

string|null —

column data at index or null if not found

#### getColumnKeys()

Response.php : 260

Get Column Names

`public getColumnKeys() : array<string|int, string>`

##### Return values

array<string|int, string> —

Array of Column Names

#### getColumns()

Response.php : 269

Get List of Columns

`public getColumns() : array<string|int, Column>`

##### Return values

array<string|int, Column> —

Array of Columns

#### getCommand()

Response.php : 278

Get Command used in this request

`public getCommand() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

command

#### getCommandPlain()

Response.php : 287

Get Command used in this request in plain text format

`public getCommandPlain() : string`

##### Return values

string —

command

#### getCurrentPageNumber()

Response.php : 300

Get Page Number of current List Query

`public getCurrentPageNumber() : int|null`

##### Return values

int|null —

page number or null in case of a non-list response

#### getCurrentRecord()

Response.php : 314

Get Record of current record index

`public getCurrentRecord() : Record|null`

##### Return values

Record|null —

Record or null in case of a non-list response

#### getDescription()

Response.php : 123

Get API response description

`public getDescription() : string`

##### Return values

string —

API response description

#### getFirstRecordIndex()

Response.php : 323

Get Index of first row in this response

`public getFirstRecordIndex() : int|null`

##### Return values

int|null —

first row index

#### getHash()

Response.php : 153

Get API response as Hash

`public getHash() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

API response hash

#### getLastRecordIndex()

Response.php : 340

Get last record index of the current list query

`public getLastRecordIndex() : int|null`

##### Return values

int|null —

record index or null for a non-list response

#### getListHash()

Response.php : 360

Get Response as List Hash including useful meta data for tables

`public getListHash() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

hash including list meta data and array of rows in hash notation

#### getNextPageNumber()

Response.php : 391

Get Page Number of next list query

`public getNextPageNumber() : int|null`

##### Return values

int|null —

page number or null if there's no next page

#### getNextRecord()

Response.php : 379

Get next record in record list

`public getNextRecord() : Record|null`

##### Return values

Record|null —

Record or null in case there's no further record

#### getNumberOfPages()

Response.php : 406

Get the number of pages available for this list query

`public getNumberOfPages() : int`

##### Return values

int —

number of pages

#### getPagination()

Response.php : 420

Get object containing all paging data

`public getPagination() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

paginator data

#### getPlain()

Response.php : 132

Get Plain API response

`public getPlain() : string`

##### Return values

string —

Plain API response

#### getPreviousPageNumber()

Response.php : 439

Get Page Number of previous list query

`public getPreviousPageNumber() : int|null`

##### Return values

int|null —

page number or null if there's no previous page

#### getPreviousRecord()

Response.php : 456

Get previous record in record list

`public getPreviousRecord() : Record|null`

##### Return values

Record|null —

Record or null if there's no previous record

#### getQueuetime()

Response.php : 141

Get Queuetime of API response

`public getQueuetime() : float`

##### Return values

float —

Queuetime of API response

#### getRecord()

Response.php : 469

Get Record at given index

`public getRecord(int $idx) : Record|null`

##### Parameters

$idx : int

  record index

##### Return values

Record|null —

Record or null if index does not exist

#### getRecords()

Response.php : 481

Get all Records

`public getRecords() : array<string|int, Record>`

##### Return values

array<string|int, Record> —

array of records

#### getRecordsCount()

Response.php : 490

Get count of rows in this response

`public getRecordsCount() : int`

##### Return values

int —

count of rows

#### getRecordsLimitation()

Response.php : 516

Get limit(ation) setting of the current list query This is the count of requested rows

`public getRecordsLimitation() : int`

##### Return values

int —

limit setting or count requested rows

#### getRecordsTotalCount()

Response.php : 499

Get total count of records available for the list query

`public getRecordsTotalCount() : int`

##### Return values

int —

total count of records or count of records for a non-list response

#### getRuntime()

Response.php : 162

Get Runtime of API response

`public getRuntime() : float`

##### Return values

float —

Runtime of API response

#### hasNextPage()

Response.php : 532

Check if this list query has a next page

`public hasNextPage() : bool`

##### Return values

bool —

boolean result

#### hasPreviousPage()

Response.php : 545

Check if this list query has a previous page

`public hasPreviousPage() : bool`

##### Return values

bool —

boolean result

#### isError()

Response.php : 175

Check if current API response represents an error case API response code is an 5xx code

`public isError() : bool`

##### Return values

bool —

boolean result

#### isPending()

Response.php : 204

Check if current operation is returned as pending

`public isPending() : bool`

##### Return values

bool —

result

#### isSuccess()

Response.php : 185

Check if current API response represents a success case API response code is an 2xx code

`public isSuccess() : bool`

##### Return values

bool —

boolean result

#### isTmpError()

Response.php : 195

Check if current API response represents a temporary error case API response code is an 4xx code

`public isTmpError() : bool`

##### Return values

bool —

result

#### rewindRecordList()

Response.php : 558

Reset index in record list back to zero

`public rewindRecordList() : $this`

##### Return values

$this —

#### hasColumn()

Response.php : 569

Check if column exists in response

`private hasColumn(string $key) : bool`

##### Parameters

$key : string

  column name

##### Return values

bool —

boolean result

#### hasCurrentRecord()

Response.php : 579

Check if the record list contains a record for the current record index in use

`private hasCurrentRecord() : bool`

##### Return values

bool —

boolean result

#### hasNextRecord()

Response.php : 594

Check if the record list contains a next record for the current record index in use

`private hasNextRecord() : bool`

##### Return values

bool —

boolean result

#### hasPreviousRecord()

Response.php : 605

Check if the record list contains a previous record for the current record index in use

`private hasPreviousRecord() : bool`

##### Return values

bool —

boolean result

## Search results